/*********************************************************************************************************************/
/** PRINCIPAL SECTION */
/*********************************************************************************************************************/
.principal {
    width: 100%;
    height: 100vh;
    background-image: url("../../img/back-decoration.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.principal .side1 {
    width: 60%;
    height: 50%;
    padding: 0 1rem;
}

.principal .side1 img {
    width: 65%;
}

.principal .side1 h1 {
    font-size: 42px;
}

.principal .side1 p {
    font-size: 18px;
}

.principal .side2 {
    width: 40%;
    height: 100%;
    background-color: var(--black);
    opacity: 0.75;
    box-shadow: -10px 0 5px var(--black);
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ffffff;
    flex-direction: column;
    gap: 20px;
}

.principal .side2 h2 {
    font-size: 32px;
    font-weight: bold;
    width: 100%;
    text-align: center;
}

.principal .side2 a {
    position: relative;
    text-decoration: none;
    color: #ffffff;
    font-size: 24px;
    padding: 0.5rem 1rem;
    overflow: hidden;
    transition: all 0.4s ease-in-out;
    user-select: none;
}

.principal .side2 a::before {
    position: absolute;
    content: "";
    background-color: var(--color2);
    width: 100%;
    height: 100%;
    z-index: 5;
    top: 0;
    transform: translateX(100%);
    transition: all 0.4s ease-in-out;
    z-index: -1;
}

.principal .side2 a::after {
    position: absolute;
    content: "";
    background-color: var(--color1);
    width: 100%;
    height: 100%;
    z-index: 5;
    top: 0;
    transform: translateX(-200%);
    transition: all 0.4s ease-in-out;
    z-index: -1;
}

.principal .side2 a:hover {
    color: #000000;
    transition: all 0.4s ease-in-out;
}

.principal .side2 a:hover::before {
    transform: translateX(0);
    transition: all 0.4s ease-in-out;
}

.principal .side2 a:hover::after {
    transform: translateX(-90%);
    transition: all 0.4s ease-in-out;
}

/*********************************************************************************************************************/
/** ABOUT US SECTION */
/*********************************************************************************************************************/

.aboutUs {
    width: 100%;
    height: auto;
    padding: 3% 5% 0 5%;
}

.about{
    width: 100%;
}

.about p{
    font-size: 18px;
}

.mision{
    width: 100%;
    padding: 1% 5%;
}

.mision h3{
    text-align: left;
    width: 100%;
    height: 10vh;
    font-size: 128px;
    position: relative;
    opacity: 0.3;
    color: var(--color4);
}

.mision h3::before{
    width: 100%;
    content: "Misión";
    color: var(--color1);
    position: absolute;
    top: -6%;
    left: -3%;
    z-index: -1;
}

.mision p{
    width: 100%;
    text-align: right;
    font-size: 18px;
}

.vision{
    width: 100%;
    padding: 1% 5%;
}

.vision h3{
    text-align: right;
    width: 100%;
    height: 10vh;
    font-size: 128px;
    position: relative;
    opacity: 0.3;
    color: var(--color4);
}

.vision h3::before{
    width: 100%;
    content: "Visión";
    color: var(--color1);
    position: absolute;
    top: -6%;
    left: -3%;
    z-index: -1;
}

.vision p{
    width: 100%;
    text-align: left;
    font-size: 18px;
}

/*********************************************************************************************************************/
/** CUT SECTION */
/*********************************************************************************************************************/

.cut{
    width: 100%;
    height: 40vh;
    margin-top: 3%;
    background-color: aqua;
    display: flex;
    gap: 0;
    padding: 0;
    position: relative;
    overflow: hidden;
}

.cut .picture{
    width: 25%;
    height: 100%;
    background-color: #000000b6;
    overflow: hidden;
}

.cut .picture img{
    width: 100%;
}

.cut::before{
    content: "";
    position: absolute;
    top: -82%;
    width: 110%;
    height: 100%;
    background-color: #ffffff;
    transform: rotate(-5deg);
    left: -5%;
    z-index: 5;
}

.cut::after{
    content: "";
    position: absolute;
    bottom: -82%;
    width: 110%;
    height: 100%;
    background-color: #ffffff;
    transform: rotate(-5deg);
    right: -5%;
    z-index: 5;
}

.cut .cut-shadow{
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: #000000b6;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: #ffffff;
}

.cut .cut-shadow img{
    width: 50px;
}

/*********************************************************************************************************************/
/** TESTIMONIALS SECTION */
/*********************************************************************************************************************/

.testimonials {
    width: 100%;
    height: auto;
    padding: 3% 5% 0 5%;
}

.testimonials p{
    font-size: 18px;
}

.testimonials .cards{
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-top: 2rem;
}

.testimonials .card {
    width: 30%;
    min-height: 380px;
    border-radius: 15px;
    background-color: #ffffff;
    box-shadow: 0px 0px 10px #00000079;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 1rem;
}

.testimonials .card .card-profile {
    width: 150px;
    height: 150px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.testimonials .card .card-profile img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.testimonials .card .card-profile::after {
    content: "\201C";
    position: absolute;
    font-family: 'Times New Roman', Times, serif;
    top: -6rem;
    left: -4rem;
    font-size: 200px;
    color: var(--color4);
    font-weight: 800;
    z-index: 5;
}

.testimonials .card .card-content {
    width: 100%;
    height: 50%;
    padding: 2rem;
    font-size: 14px;
    text-align: justify;
    line-height: 1.4rem;
}

/*********************************************************************************************************************/
/** MAP SECTION */
/*********************************************************************************************************************/

.contact {
    width: 100%;
    height: auto;
    padding: 3% 5%;
}

.contact p{
    font-size: 18px;
}

.contact .map {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact .map-controlls {
    width: 100%;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact .map-controlls .controlls {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.contact .map-controlls a {
    position: relative;
    width: 210px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: .5rem;
    font-size: 16px;
    text-decoration: none;
    color: #000000;
    overflow: hidden;
    padding: .3rem;
}

.contact .map-controlls a::before {
    position: absolute;
    content: "";
    background-color: var(--color1);
    width: 90%;
    height: 10%;
    z-index: 5;
    top: 96%;
    transform: translateX(110%);
    transition: all 0.4s ease-in-out;
    z-index: -1;
}

.contact .map-controlls a:hover::before {
    transform: translateX(0%);
    transition: all 0.4s ease-in-out;
}

.contact .map-controlls a.active::before {
    transform: translateX(0%);
    transition: all 0.4s ease-in-out;
}

.contact .map-controlls .controlls span {
    padding: 1% 2%;
    border: #000000 solid 1px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color2);
}

.contact .map .map-item{
    display: none;
}

.contact .map .map-item.active{
    display: block;
}

/*********************************************************************************************************************/
/** FOOTER SECTION */
/*********************************************************************************************************************/

footer {
    width: 100%;
    height: 30vh;
    background-color: var(--color4);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
}

footer img {
    width: 210px;
}

footer h2 {
    color: #ffffff;
}

footer .information {
    display: flex;
    text-align: left;
    justify-content: flex-start;
    flex-direction: column;
    gap: 15px;
}

footer .information a {
    text-decoration: none;
    color: #ffffff;
    font-size: 18px;
}
/*********************************************************************************************************************/
/** RESPONSIVE */
/*********************************************************************************************************************/

@media screen and (min-width: 1300px) {

    .principal .side1 h1 {
        font-size: 58px;
    }
    
    .principal .side1 p {
        font-size: 24px;
    }

    .principal .side2 h2 {
        font-size: 42px;
    }
    
    .principal .side2 a {
        font-size: 34px;
    }

    .aboutUs,
    .testimonials {
        padding: 3% 12% 0 12%;
    }

    .contact{
        padding: 3% 12%;
    }

    footer{
        padding: 1rem 5rem ;
    }

    footer img {
        width: 280px;
    }

    footer .information a {
        font-size: 20px;
    }
}

@media screen and (max-width: 700px) {
    .principal{
        position: relative;
    }

    .principal .side1{
        width: 100%;
        z-index: 3;
        justify-content: center;
        align-items: center;
        text-align: center;
        color: var(--color3);
    }

    .principal-shadow{
        position: absolute;
        width: 100%;
        height: 100%;
        background-color: #000000b6;
        z-index: 1;
    }

    .principal .side2{
        display: none;
    }

    .aboutUs,
    .testimonials{
        padding: 3% 3%;
    }

    .aboutUs p,
    .testimonials p{
        font-size: 12px;
    }

    .mision h3{
        font-size: 78px;
    }

    .mision h3::before{
        position: absolute;
        top: 25%;
    }

    .vision h3{
        font-size: 78px;
    }

    .vision h3::before{
        position: absolute;
        top: 25%;
    }

    .cut .picture:nth-child(2),
    .cut .picture:nth-child(3),
    .cut .picture:nth-child(4){
        display: none;
    }

    .cut .picture{
        width: 100%;
    }

    .testimonials .cards{
        flex-direction: column;
        align-items: center;
        gap: 2rem;
    }

    .testimonials .card {
        width: 90%;
    }

    .contact{
        padding: 3% 3%;
    }

    .contact p{
        font-size: 12px;
    }

    .contact .map-controlls .controlls{
        width: 100%;
    }

    .contact .map-controlls a {
        width: 122px;
        font-size: 12px;
    }

    footer{
        padding: 1rem 1rem;
        flex-direction: column;
        justify-content: center;
        gap: 5px;
    }

    footer img {
        width: 110px;
    }

    footer .information{
        text-align: center;
        gap: 3px;
    }

    footer .information a {
        font-size: 12px;
    }
}